gr::gfdm::advanced_receiver_sb_cc_impl Class Reference

`#include <advanced_receiver_sb_cc_impl.h>`

Inheritance diagram for gr::gfdm::advanced_receiver_sb_cc_impl:
[legend]

## Public Member Functions

| advanced_receiver_sb_cc_impl (int n_timeslots, int n_subcarriers, int overlap, int ic_iter, std::vector< gr_complex > frequency_taps, gr::digital::constellation_sptr constellation, std::vector< int > subcarrier_map, int do_phase_compensation)
| ~advanced_receiver_sb_cc_impl ()
void | set_phase_compensation (int do_phase_compensation)
int | get_phase_compensation ()
void | set_ic (int ic_iter)
int | get_ic (void)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::advanced_receiver_sb_cc
typedef boost::shared_ptr< advanced_receiver_sb_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::advanced_receiver_sb_cc
static sptr | make (int n_timeslots, int n_subcarriers, int overlap, int ic_iter, std::vector< gr_complex > frequency_taps, gr::digital::constellation_sptr constellation, std::vector< int > subcarrier_map, int do_phase_compensation)
| Return a shared_ptr to a new instance of gfdm::advanced_receiver_sb_cc.

## Constructor & Destructor Documentation

## advanced_receiver_sb_cc_impl()

gr::gfdm::advanced_receiver_sb_cc_impl::advanced_receiver_sb_cc_impl | ( | int | n_timeslots,
|  | int | n_subcarriers,
|  | int | overlap,
|  | int | ic_iter,
|  | std::vector< gr_complex > | frequency_taps,
|  | gr::digital::constellation_sptr | constellation,
|  | std::vector< int > | subcarrier_map,
|  | int | do_phase_compensation
| ) |  |

## ~advanced_receiver_sb_cc_impl()

gr::gfdm::advanced_receiver_sb_cc_impl::~advanced_receiver_sb_cc_impl | ( |  | ) |

## Member Function Documentation

## get_ic()

int gr::gfdm::advanced_receiver_sb_cc_impl::get_ic | ( | void |  | ) |

inlinevirtual

Implements gr::gfdm::advanced_receiver_sb_cc.

## get_phase_compensation()

int gr::gfdm::advanced_receiver_sb_cc_impl::get_phase_compensation | ( |  | ) |

inlinevirtual

Implements gr::gfdm::advanced_receiver_sb_cc.

## set_ic()

void gr::gfdm::advanced_receiver_sb_cc_impl::set_ic | ( | int | ic_iter | ) |

inlinevirtual

Implements gr::gfdm::advanced_receiver_sb_cc.

## set_phase_compensation()

void gr::gfdm::advanced_receiver_sb_cc_impl::set_phase_compensation | ( | int | do_phase_compensation | ) |

inlinevirtual

Implements gr::gfdm::advanced_receiver_sb_cc.

## work()

int gr::gfdm::advanced_receiver_sb_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- advanced_receiver_sb_cc_impl.h